#ifndef BLDDECLI_H
#define BLDDECLI_H

#include <stddef.h>

class   ADdeConversation
    {
public:
    ADdeConversation(){}
    virtual int Request(const char *Item, char *Buffer,
                                       size_t Size = 0) = 0;
    virtual int Execute(const char *Command) = 0;
    virtual int Poke(const char *Item, const char *Data) = 0;
    virtual ~ADdeConversation() = 0;
    };

class   TDdeClient
    {
public:
    static ADdeConversation *NewConversation(
                      const char *Server, const char *Topic,
                               const char *CommandLine = 0);
    static int Initialize();
    static int LastError();
    };

#endif
